# My NeoVim configuration

## Requirements
 - NeoVim
 - [Packer](https://github.com/wbthomason/packer.nvim)

To install packer run
```bash
git clone --depth 1 https://github.com/wbthomason/packer.nvim ~/.local/share/nvim/site/pack/packer/start/packer.nvim
```

To run LSP (autocomplete) you will also need the server for that language.
Currently, the languages servers that are configured are:
  - bash (bashls)
  - c/c++ (ccls)
  - prisma (prismals)
  - python (pylsp)
  - rust (rust_analyzer)
  - svelte (sveltelsp)
  - tex (ltex)
  - ts (tsserver)
  - vlang (vls)
  - zig (zls)

## Some useful shortcuts
    - ' f': Find files uses fuzzy finding to search for files in the folder you are currently are
    - ' /': Search the files using grep
    - '<C-F>': Open file structure
    - 'gd': Goto definition
    - 'K': Show call signature
    - ']d': Goto next error
    - '[d': Goto previous error
